package com.ibiz5.api.swagger;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import static com.google.common.base.Predicates.or;
import static springfox.documentation.builders.PathSelectors.regex;

import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@Configuration
@EnableSwagger2
public class SwaggerConfiguration {

    @Bean
    public Docket docket() {
        return new Docket(DocumentationType.SWAGGER_2)
                .groupName("DEFAULT")
                .pathMapping("/")
                .apiInfo(
						new ApiInfoBuilder()
						.title("DEFAULT")
						.build()
                    )
                .select()
                .paths(or(regex("/rest/.*")))
                .build()
                ;
    }

	@Bean
	public Docket productapiDocket() {
		return new Docket(DocumentationType.SWAGGER_2)
				.groupName("产品对外服务")
				.pathMapping("/")
				.apiInfo(
						new ApiInfoBuilder()
						.title("产品对外服务")
						.version("1")
						.build()
                    )
				.select()
				.paths(or(regex("/rest/productapi/.*")))
				.build()
				;
	}
	@Bean
	public Docket webDocket() {
		return new Docket(DocumentationType.SWAGGER_2)
				.groupName("Web端对外服务")
				.pathMapping("/")
				.apiInfo(
						new ApiInfoBuilder()
						.title("Web端对外服务")
						.version("1")
						.build()
                    )
				.select()
				.paths(or(regex("/rest/web/.*")))
				.build()
				;
	}
	@Bean
	public Docket orderapiDocket() {
		return new Docket(DocumentationType.SWAGGER_2)
				.groupName("订单对外服务")
				.pathMapping("/")
				.apiInfo(
						new ApiInfoBuilder()
						.title("订单对外服务")
						.version("1")
						.build()
                    )
				.select()
				.paths(or(regex("/rest/orderapi/.*")))
				.build()
				;
	}

}
