package com.ibiz5.sample.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import lombok.Data;
import org.springframework.beans.BeanUtils;
import org.springframework.cglib.beans.BeanMap;
import org.springframework.cglib.beans.BeanGenerator;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import java.util.Map;
import java.util.HashMap;
import org.springframework.util.StringUtils;
import com.ibiz5.ibizutil.security.AuthenticationUser;
import java.util.Date;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import org.springframework.cglib.beans.BeanCopier;
import com.ibiz5.ibizutil.annotation.Dict;
import com.ibiz5.ibizutil.domain.EntityBase;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import java.math.BigInteger;
import com.ibiz5.ibizutil.enums.FillMode;
import com.ibiz5.ibizutil.enums.PredefinedType;
import com.ibiz5.ibizutil.annotation.PreField;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.ibiz5.sample.domain.IBZ5ORDER;
import com.ibiz5.sample.domain.IBZ5UNIPRODUCT;

/**
 * 实体[IBZ5ORDERDETAIL] 数据对象
 */
@TableName(value = "T_IBZ5ORDERDETAIL",resultMap = "IBZ5ORDERDETAILResultMap")
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class IBZ5ORDERDETAIL extends EntityBase implements Serializable{

    @JsonIgnore
    @JSONField(serialize = false)
    @TableField(exist = false)//关系主表数据
    private IBZ5ORDER ibz5order;
    @JsonIgnore
    @JSONField(serialize = false)
    @TableField(exist = false)//关系主表数据
    private IBZ5UNIPRODUCT ibz5uniproduct;
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createdate;
    private String ibz5orderdetailname;
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEMAN)
    @Dict(dictName = "DemoSys_SysOperatorCodeList")
    private String createman;
    private String ibz5uniproductid;
    @TableField(exist = false)//逻辑属性
    private String ibz5uniproductname;
    @TableField(exist = false)//逻辑属性
    private String ibz5ordername;
    private Integer quantity;
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEMAN)
    @Dict(dictName = "DemoSys_SysOperatorCodeList")
    private String updateman;
    @TableField(exist = false)//逻辑属性
    private Double amount;
    private String ibz5orderid;
    @TableId(value= "ibz5orderdetailid",type=IdType.UUID)//指定主键生成策略
    private String ibz5orderdetailid;
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updatedate;
     /**
     * 复制当前对象数据到目标对象(粘贴重置)
     *
     * @throws Exception
     */
    public IBZ5ORDERDETAIL copyTo(IBZ5ORDERDETAIL targetEntity)
	{
		BeanCopier copier=BeanCopier.create(IBZ5ORDERDETAIL.class, IBZ5ORDERDETAIL.class, false);
		copier.copy(this, targetEntity, null);
        targetEntity.setIbz5orderdetailid(null);
		return targetEntity;
	}
}
