package com.ibiz5.sample.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import lombok.Data;
import org.springframework.beans.BeanUtils;
import org.springframework.cglib.beans.BeanMap;
import org.springframework.cglib.beans.BeanGenerator;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import java.util.Map;
import java.util.HashMap;
import org.springframework.util.StringUtils;
import com.ibiz5.ibizutil.security.AuthenticationUser;
import java.util.Date;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import org.springframework.cglib.beans.BeanCopier;
import com.ibiz5.ibizutil.annotation.Dict;
import com.ibiz5.ibizutil.domain.EntityBase;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import java.math.BigInteger;
import com.ibiz5.ibizutil.enums.FillMode;
import com.ibiz5.ibizutil.enums.PredefinedType;
import com.ibiz5.ibizutil.annotation.PreField;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 实体[IBZ5UNIPRODUCT] 数据对象
 */
@TableName(value = "T_IBZ5UNIPRODUCT",resultMap = "IBZ5UNIPRODUCTResultMap")
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class IBZ5UNIPRODUCT extends EntityBase implements Serializable{

    private String ibz5uniproductname;
    @Dict(dictName = "DemoSys_UNIPRODUCTTYPECodeList")
    private String ibz5uniproducttype;
    @TableId(value= "ibz5uniproductid",type=IdType.UUID)//指定主键生成策略
    private String ibz5uniproductid;
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEMAN)
    @Dict(dictName = "DemoSys_SysOperatorCodeList")
    private String updateman;
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createdate;
    private String unit;
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updatedate;
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEMAN)
    @Dict(dictName = "DemoSys_SysOperatorCodeList")
    private String createman;
    private Double unitprice;
     /**
     * 复制当前对象数据到目标对象(粘贴重置)
     *
     * @throws Exception
     */
    public IBZ5UNIPRODUCT copyTo(IBZ5UNIPRODUCT targetEntity)
	{
		BeanCopier copier=BeanCopier.create(IBZ5UNIPRODUCT.class, IBZ5UNIPRODUCT.class, false);
		copier.copy(this, targetEntity, null);
        targetEntity.setIbz5uniproductid(null);
		return targetEntity;
	}
}
