package com.ibiz5.sample.logic.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5ORDERMapper;
import com.ibiz5.sample.domain.IBZ5ORDER;
import com.ibiz5.sample.service.IBZ5ORDERService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5ORDERSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import org.kie.api.runtime.KieSession;
import com.ibiz5.sample.logic.IBZ5ORDERLogic;
import java.util.HashMap;
import org.kie.api.runtime.KieContainer;
import com.ibiz5.ibizutil.errors.BadRequestAlertException;
import org.aspectj.lang.annotation.Aspect;
/**
 * 实体[IBZ5ORDER] 处理逻辑接口实现
 */
@Service
public class IBZ5ORDERLogicImpl  implements  IBZ5ORDERLogic{


    @Autowired
    private KieContainer kieContainer;

    @Autowired
    private com.ibiz5.sample.service.IBZ5ORDERService ibz5orderservice;
    @Autowired
    private com.ibiz5.sample.service.IBZ5ORDERService iBzSysDefaultService;

	public boolean callSerInterface(IBZ5ORDER et){
           KieSession kieSession = null;
        try{
           kieSession=kieContainer.newKieSession();
           kieSession.insert(et); 
           kieSession.setGlobal("ibz5ordercallserinterfacedefault",et);
           kieSession.setGlobal("ibz5orderservice",ibz5orderservice);
           kieSession.setGlobal("iBzSysIbz5orderDefaultService",iBzSysDefaultService);
           kieSession.startProcess("com.ibiz5.sample.logic.ibz5orderlogic.callserinterface");

        }catch(Exception e){
            throw new BadRequestAlertException("执行[调用服务接口]处理逻辑发生异常"+e,"","");
        }finally {
            if(kieSession!=null)
            kieSession.destroy();
        }
            return true;
    }
	public boolean callSQL(IBZ5ORDER et){
           KieSession kieSession = null;
        try{
           kieSession=kieContainer.newKieSession();
           kieSession.insert(et); 
           kieSession.setGlobal("ibz5ordercallsqldefault",et);
           kieSession.setGlobal("ibz5orderservice",ibz5orderservice);
           kieSession.setGlobal("iBzSysIbz5orderDefaultService",iBzSysDefaultService);
           kieSession.startProcess("com.ibiz5.sample.logic.ibz5orderlogic.callsql");

        }catch(Exception e){
            throw new BadRequestAlertException("执行[调用SQL脚本]处理逻辑发生异常"+e,"","");
        }finally {
            if(kieSession!=null)
            kieSession.destroy();
        }
            return true;
    }

}