package com.ibiz5.sample.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.ibiz5.sample.domain.IBZ5ACCOUNT;
import com.ibiz5.sample.service.dto.IBZ5ACCOUNTSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;

public interface IBZ5ACCOUNTMapper extends BaseMapper<IBZ5ACCOUNT>{

    List<IBZ5ACCOUNT> searchDefault(@Param("srf") IBZ5ACCOUNTSearchFilter searchfilter,@Param("ew") Wrapper<IBZ5ACCOUNT> wrapper) ;
    Page<IBZ5ACCOUNT> searchDefault(IPage page, @Param("srf") IBZ5ACCOUNTSearchFilter searchfilter, @Param("ew") Wrapper<IBZ5ACCOUNT> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'IBZ5ACCOUNT:'+#p0")
    IBZ5ACCOUNT selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5ACCOUNT:'+#p0.ibz5accountid")
    int insert(IBZ5ACCOUNT entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5ACCOUNT:'+#p0.ibz5accountid")
    int updateById(@Param(Constants.ENTITY) IBZ5ACCOUNT entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5ACCOUNT:'+#p0")
    int deleteById(Serializable id);
    Page<IBZ5ACCOUNT> selectPermission(IPage page,@Param("pw") Wrapper<IBZ5ACCOUNT> wrapper) ;
}