package com.ibiz5.sample.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.ibiz5.sample.domain.IBZ5HARDWARE;
import com.ibiz5.sample.service.dto.IBZ5HARDWARESearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;

public interface IBZ5HARDWAREMapper extends BaseMapper<IBZ5HARDWARE>{

    List<IBZ5HARDWARE> searchDefault(@Param("srf") IBZ5HARDWARESearchFilter searchfilter,@Param("ew") Wrapper<IBZ5HARDWARE> wrapper) ;
    Page<IBZ5HARDWARE> searchDefault(IPage page, @Param("srf") IBZ5HARDWARESearchFilter searchfilter, @Param("ew") Wrapper<IBZ5HARDWARE> wrapper) ;
    List<IBZ5HARDWARE> searchIndexDER(@Param("srf") IBZ5HARDWARESearchFilter searchfilter,@Param("ew") Wrapper<IBZ5HARDWARE> wrapper) ;
    Page<IBZ5HARDWARE> searchIndexDER(IPage page, @Param("srf") IBZ5HARDWARESearchFilter searchfilter, @Param("ew") Wrapper<IBZ5HARDWARE> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'IBZ5HARDWARE:'+#p0")
    IBZ5HARDWARE selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5HARDWARE:'+#p0.ibz5hardwareid")
    int insert(IBZ5HARDWARE entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5HARDWARE:'+#p0.ibz5hardwareid")
    int updateById(@Param(Constants.ENTITY) IBZ5HARDWARE entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5HARDWARE:'+#p0")
    int deleteById(Serializable id);
    Page<IBZ5HARDWARE> selectPermission(IPage page,@Param("pw") Wrapper<IBZ5HARDWARE> wrapper) ;
}