package com.ibiz5.sample.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.ibiz5.sample.domain.IBZ5ORDER;
import com.ibiz5.sample.service.dto.IBZ5ORDERSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;

public interface IBZ5ORDERMapper extends BaseMapper<IBZ5ORDER>{

    List<IBZ5ORDER> searchDefault(@Param("srf") IBZ5ORDERSearchFilter searchfilter,@Param("ew") Wrapper<IBZ5ORDER> wrapper) ;
    Page<IBZ5ORDER> searchDefault(IPage page, @Param("srf") IBZ5ORDERSearchFilter searchfilter, @Param("ew") Wrapper<IBZ5ORDER> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'IBZ5ORDER:'+#p0")
    IBZ5ORDER selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5ORDER:'+#p0.ibz5orderid")
    int insert(IBZ5ORDER entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5ORDER:'+#p0.ibz5orderid")
    int updateById(@Param(Constants.ENTITY) IBZ5ORDER entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5ORDER:'+#p0")
    int deleteById(Serializable id);
    Page<IBZ5ORDER> selectPermission(IPage page,@Param("pw") Wrapper<IBZ5ORDER> wrapper) ;
}