package com.ibiz5.sample.service.dto;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.ibizutil.domain.ParentData;
import com.ibiz5.sample.domain.IBZ5ORDER;
import org.springframework.util.StringUtils;
import lombok.Data;
import java.util.Map;
import java.sql.Timestamp;
import com.ibiz5.ibizutil.service.SearchFilterBase;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz5.ibizutil.domain.DataObj;
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class IBZ5ORDERSearchFilter extends SearchFilterBase {

	private String query;
	private Page page;
	private QueryWrapper<IBZ5ORDER> selectCond;
	public IBZ5ORDERSearchFilter(){
		this.page =new Page<IBZ5ORDER>(1,Short.MAX_VALUE);
		this.selectCond=new QueryWrapper<IBZ5ORDER>();	
	}
	/**
	 * 设定自定义查询条件，在原有SQL基础上追加该SQL
	 */
	public void setCustomCond(String sql)
	{
		this.selectCond.apply(sql);
	}
	/**
	 * 获取父数据
	 * @param srfparentdata
	 */
	public void setSrfparentdata(DataObj srfparentdata) {
		this.srfparentdata = srfparentdata;
		String strParentkey=this.getSrfparentdata().getStringValue("srfparentkey");
		if(this.srfparentdata.containsKey("srfparentmode")&& this.getSrfparentdata().get("srfparentmode").equals("DER1N_IBZ5ORDER_IBZ5CUSTOMER_IBZ5CUSTOMERID"))
			if(StringUtils.isEmpty(strParentkey)){
				this.setN_ibz5customerid_eq("NA");
			}
			else{
				this.setN_ibz5customerid_eq(strParentkey);
			}
	}
	/**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.selectCond.or().like("ibz5ordername",query);
		 }
	}
	/**
	 * 输出实体搜索项
	 */
	private String n_ibz5ordername_like;//[订单名称]
	public void setN_ibz5ordername_like(String n_ibz5ordername_like) {
        this.n_ibz5ordername_like = n_ibz5ordername_like;
        if(!StringUtils.isEmpty(this.n_ibz5ordername_like)){
            this.selectCond.like("ibz5ordername", n_ibz5ordername_like);
        }
    }
	private String n_ibz5customername_eq;//[客户名称]
	public void setN_ibz5customername_eq(String n_ibz5customername_eq) {
        this.n_ibz5customername_eq = n_ibz5customername_eq;
        if(!StringUtils.isEmpty(this.n_ibz5customername_eq)){
            this.selectCond.eq("ibz5customername", n_ibz5customername_eq);
        }
    }
	private String n_ibz5customername_like;//[客户名称]
	public void setN_ibz5customername_like(String n_ibz5customername_like) {
        this.n_ibz5customername_like = n_ibz5customername_like;
        if(!StringUtils.isEmpty(this.n_ibz5customername_like)){
            this.selectCond.like("ibz5customername", n_ibz5customername_like);
        }
    }
	private String n_ibz5customerid_eq;//[客户标识]
	public void setN_ibz5customerid_eq(String n_ibz5customerid_eq) {
        this.n_ibz5customerid_eq = n_ibz5customerid_eq;
        if(!StringUtils.isEmpty(this.n_ibz5customerid_eq)){
            this.selectCond.eq("ibz5customerid", n_ibz5customerid_eq);
        }
    }

}