package com.ibiz5.sample.service.dto;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.ibizutil.domain.ParentData;
import com.ibiz5.sample.domain.IBZ5UNIPRODUCT;
import org.springframework.util.StringUtils;
import lombok.Data;
import java.util.Map;
import java.sql.Timestamp;
import com.ibiz5.ibizutil.service.SearchFilterBase;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz5.ibizutil.domain.DataObj;
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class IBZ5UNIPRODUCTSearchFilter extends SearchFilterBase {

	private String query;
	private Page page;
	private QueryWrapper<IBZ5UNIPRODUCT> selectCond;
	public IBZ5UNIPRODUCTSearchFilter(){
		this.page =new Page<IBZ5UNIPRODUCT>(1,Short.MAX_VALUE);
		this.selectCond=new QueryWrapper<IBZ5UNIPRODUCT>();	
	}
	/**
	 * 设定自定义查询条件，在原有SQL基础上追加该SQL
	 */
	public void setCustomCond(String sql)
	{
		this.selectCond.apply(sql);
	}
	/**
	 * 获取父数据
	 * @param srfparentdata
	 */
	public void setSrfparentdata(DataObj srfparentdata) {
		this.srfparentdata = srfparentdata;
		String strParentkey=this.getSrfparentdata().getStringValue("srfparentkey");
	}
	/**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.selectCond.or().like("ibz5uniproductname",query);
		 }
	}
	/**
	 * 输出实体搜索项
	 */
	private String n_ibz5uniproductname_like;//[统一产品（索引主实体）名称]
	public void setN_ibz5uniproductname_like(String n_ibz5uniproductname_like) {
        this.n_ibz5uniproductname_like = n_ibz5uniproductname_like;
        if(!StringUtils.isEmpty(this.n_ibz5uniproductname_like)){
            this.selectCond.like("ibz5uniproductname", n_ibz5uniproductname_like);
        }
    }
	private String n_ibz5uniproducttype_eq;//[分组类型]
	public void setN_ibz5uniproducttype_eq(String n_ibz5uniproducttype_eq) {
        this.n_ibz5uniproducttype_eq = n_ibz5uniproducttype_eq;
        if(!StringUtils.isEmpty(this.n_ibz5uniproducttype_eq)){
            this.selectCond.eq("ibz5uniproducttype", n_ibz5uniproducttype_eq);
        }
    }

}