package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5ACCOUNTMapper;
import com.ibiz5.sample.domain.IBZ5ACCOUNT;
import com.ibiz5.sample.service.IBZ5ACCOUNTService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5ACCOUNTSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * 实体[IBZ5ACCOUNT] 服务对象接口实现
 */
@Service
public class IBZ5ACCOUNTServiceImpl extends ServiceImplBase<IBZ5ACCOUNTMapper, IBZ5ACCOUNT> implements IBZ5ACCOUNTService{

    @Resource
    private IBZ5ACCOUNTMapper ibz5accountMapper;

    @Override
    public boolean create(IBZ5ACCOUNT et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(IBZ5ACCOUNT et){
        this.beforeUpdate(et);
		this.ibz5accountMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(IBZ5ACCOUNT et){
		return et.getIbz5accountid();  
    }
    @Override
    public boolean getDraft(IBZ5ACCOUNT et)  {
            return true;
    }
	public List<IBZ5ACCOUNT> listDefault(IBZ5ACCOUNTSearchFilter filter) {
		return ibz5accountMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<IBZ5ACCOUNT> searchDefault(IBZ5ACCOUNTSearchFilter filter) {
		return ibz5accountMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return ibz5accountMapper.selectRow(sql);
    }
    @Override
    public Page<IBZ5ACCOUNT> selectPermission(QueryWrapper<IBZ5ACCOUNT> selectCond) {
        return ibz5accountMapper.selectPermission(new IBZ5ACCOUNTSearchFilter().getPage(),selectCond);
    }
 }