package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5ORDERMapper;
import com.ibiz5.sample.domain.IBZ5ORDER;
import com.ibiz5.sample.service.IBZ5ORDERService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5ORDERSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import com.ibiz5.sample.service.IBZ5CUSTOMERService;

/**
 * 实体[IBZ5ORDER] 服务对象接口实现
 */
@Service
public class IBZ5ORDERServiceImpl extends ServiceImplBase<IBZ5ORDERMapper, IBZ5ORDER> implements IBZ5ORDERService{

    @Autowired
    private IBZ5CUSTOMERService ibz5customerService;
    @Resource
    private IBZ5ORDERMapper ibz5orderMapper;

    @Override
    public boolean create(IBZ5ORDER et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(IBZ5ORDER et){
        this.beforeUpdate(et);
		this.ibz5orderMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(IBZ5ORDER et){
		return et.getIbz5orderid();  
    }
    @Override
    public boolean getDraft(IBZ5ORDER et)  {
    if((!StringUtils.isEmpty(et.getIbz5customerid())) && et.getIbz5customer() == null){
            try {
                et.setIbz5customer(ibz5customerService.getById(et.getIbz5customerid()));
            }catch (Exception ex){}
        }
            return true;
    }
    @Override
    public IBZ5ORDER callSerInterface(IBZ5ORDER et)  {
		return et;
    }
	public List<IBZ5ORDER> listDefault(IBZ5ORDERSearchFilter filter) {
		return ibz5orderMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<IBZ5ORDER> searchDefault(IBZ5ORDERSearchFilter filter) {
		return ibz5orderMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return ibz5orderMapper.selectRow(sql);
    }
    /**
     * 获取实体主状态
     * @param et 业务数据
     * @return
     */
    public String getMajState(IBZ5ORDER et)
    {
        String strMajState="";
        TreeMap<String,String> matchMap = new TreeMap<>();
        //输出实体主状态
        if(matchMap.size()>0){
            strMajState=matchMap.get(matchMap.firstKey());
        }
        return strMajState;
    }
    /**
     * 判断是否满足实体主状态
     * @param strMSTag
     * @param et
     * @return
     */
    public boolean isMatchCond(String strMSTag ,IBZ5ORDER et)
    {
        boolean flag=false;
        //list遍历出主状态属性
        String dataState0=et.getOrderstate();
        if(!StringUtils.isEmpty(strMSTag)){
           String deState[]=strMSTag.split("__");
            if(deState.length==1){
                if(dataState0.equals(deState[0]) || (deState[0].equals("*") ) ){
                    flag=true;
                }
            }
        }
         return flag;
    }
     /**
     * 通配符数量
     * @param strMSTag
     * @return
     */
    public String getWildcardCnt(String strMSTag){
        Pattern p = Pattern.compile("\\*");
        Matcher m = p.matcher(strMSTag);
        int i = 0;
        while(m.find()){
            i++;
        }
        return String.valueOf(i);
    }
    @Override
    public Page<IBZ5ORDER> selectPermission(QueryWrapper<IBZ5ORDER> selectCond) {
        return ibz5orderMapper.selectPermission(new IBZ5ORDERSearchFilter().getPage(),selectCond);
    }
 }