package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5SOFTWARESUITMapper;
import com.ibiz5.sample.domain.IBZ5SOFTWARESUIT;
import com.ibiz5.sample.service.IBZ5SOFTWARESUITService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5SOFTWARESUITSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * 实体[IBZ5SOFTWARESUIT] 服务对象接口实现
 */
@Service
public class IBZ5SOFTWARESUITServiceImpl extends ServiceImplBase<IBZ5SOFTWARESUITMapper, IBZ5SOFTWARESUIT> implements IBZ5SOFTWARESUITService{

    @Resource
    private IBZ5SOFTWARESUITMapper ibz5softwaresuitMapper;

    @Override
    public boolean create(IBZ5SOFTWARESUIT et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(IBZ5SOFTWARESUIT et){
        this.beforeUpdate(et);
		this.ibz5softwaresuitMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(IBZ5SOFTWARESUIT et){
		return et.getIbz5softwaresuitid();  
    }
    @Override
    public boolean getDraft(IBZ5SOFTWARESUIT et)  {
            return true;
    }
	public List<IBZ5SOFTWARESUIT> listDefault(IBZ5SOFTWARESUITSearchFilter filter) {
		return ibz5softwaresuitMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<IBZ5SOFTWARESUIT> searchDefault(IBZ5SOFTWARESUITSearchFilter filter) {
		return ibz5softwaresuitMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return ibz5softwaresuitMapper.selectRow(sql);
    }
    @Override
    public Page<IBZ5SOFTWARESUIT> selectPermission(QueryWrapper<IBZ5SOFTWARESUIT> selectCond) {
        return ibz5softwaresuitMapper.selectPermission(new IBZ5SOFTWARESUITSearchFilter().getPage(),selectCond);
    }
 }