package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5UNIPRODUCTMapper;
import com.ibiz5.sample.domain.IBZ5UNIPRODUCT;
import com.ibiz5.sample.service.IBZ5UNIPRODUCTService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5UNIPRODUCTSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * 实体[IBZ5UNIPRODUCT] 服务对象接口实现
 */
@Service
public class IBZ5UNIPRODUCTServiceImpl extends ServiceImplBase<IBZ5UNIPRODUCTMapper, IBZ5UNIPRODUCT> implements IBZ5UNIPRODUCTService{

    @Resource
    private IBZ5UNIPRODUCTMapper ibz5uniproductMapper;

    @Override
    public boolean create(IBZ5UNIPRODUCT et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(IBZ5UNIPRODUCT et){
        this.beforeUpdate(et);
		this.ibz5uniproductMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(IBZ5UNIPRODUCT et){
		return et.getIbz5uniproductid();  
    }
    @Override
    public boolean getDraft(IBZ5UNIPRODUCT et)  {
            return true;
    }
	public List<IBZ5UNIPRODUCT> listIndexDER(IBZ5UNIPRODUCTSearchFilter filter) {
		return ibz5uniproductMapper.searchIndexDER(filter,filter.getSelectCond());
	}
	public Page<IBZ5UNIPRODUCT> searchIndexDER(IBZ5UNIPRODUCTSearchFilter filter) {
		return ibz5uniproductMapper.searchIndexDER(filter.getPage(),filter,filter.getSelectCond());
	}
	public List<IBZ5UNIPRODUCT> listDefault(IBZ5UNIPRODUCTSearchFilter filter) {
		return ibz5uniproductMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<IBZ5UNIPRODUCT> searchDefault(IBZ5UNIPRODUCTSearchFilter filter) {
		return ibz5uniproductMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return ibz5uniproductMapper.selectRow(sql);
    }
    @Override
    public Page<IBZ5UNIPRODUCT> selectPermission(QueryWrapper<IBZ5UNIPRODUCT> selectCond) {
        return ibz5uniproductMapper.selectPermission(new IBZ5UNIPRODUCTSearchFilter().getPage(),selectCond);
    }
 }